from app.scripts import BaseCreateRuntimeScript

import os
import app.defaults
import app.batch
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Add rsyslog configuration"
    
    def createRuntime(self):
        # Write config file.
        batch = app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'haproxy-rsyslog', 'conf-snippets', 'rsyslog.conf.d')) \
            .evaluateIntoFile("/etc/rsyslog.d/teamforge-haproxy.conf")