__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript

import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Remove haproxy.cfg"
    
    def createRuntime(self):
        configFile = "/etc/haproxy/haproxy.cfg"
        if os.path.isfile(configFile):
            os.remove(configFile)