import os
import app.servicecontrol
import app.util

class ServiceController(app.servicecontrol.SimpleDaemonController):
    def __getBinPath(self):
        return  os.path.join(os.path.dirname(os.path.abspath(__file__)), '..', 'bin')

    def getPidFile(self):
        return "/opt/collabnet/teamforge/run/haproxy.pid"
        
    def startDaemonAsync(self):
        app.util.runSystem("haproxy -f /etc/haproxy/haproxy.cfg >> %s 2>&1" % self.getServiceLogPath(), self.logger)
        return True
        
    def stopDaemonAsync(self):
        self.killDaemon()
        return True