from app.scripts import BaseCreateRuntimeScript

import sys
import os
import app.util
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Validate HAProxy configuration"

    def createRuntime(self):
        localMachine = app.landscape.Landscape.getSite().getLocalMachine()
        if not localMachine.isClustered():
            raise Exception("HAProxy must be deployed on a cluster")